<?php
// Запрос от AJAX тогда выполняем код
if($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') {
if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
require 'config.php';
header('Content-type: text/html; charset=UTF-8');
$op=mysql_real_escape_string($_POST[op]);

sleep(1);

if($op=='izb')
  {
    $status=mysql_real_escape_string($_POST[str]);
    $id=mysql_real_escape_string($_POST[id]);
    $res = mysql_query("SELECT subject,sender,recipient,izb FROM tb_mail where id='$id'");
    $res=mysql_fetch_assoc($res);
    $m1=$res["subject"];
    $m2=$res["sender"];
    $m3=$res["recipient"];
    $izb=$res["izb"];

    if($izb==1)
      {
         mysql_query("update tb_mail set izb=0 where subject='$m1' and (( sender='$m2' and recipient='$m3' ) or (sender='$m3' and recipient='$m2') )");
         ?>
          <span id="izbra<?=$id?>" class="mail-favorite"  style="cursor: pointer;"  title="Добавить переписку в избранное" onclick="send_izb_mail('<?=$id?>');"></span>
         <?
      }
    elseif($izb==0)
      {
        mysql_query("update tb_mail set izb=1 where subject='$m1' and (( sender='$m2' and recipient='$m3' ) or (sender='$m3' and recipient='$m2') )");
        ?>
        <span id="izbra<?=$id?>" class="mail-favoriteout"  style="cursor: pointer;" title="Исключить переписку из избранного" onclick="send_izb_mail('<?=$id?>');"></span>
        <?
      }
   }
}
}
?>